<template>
  <div>
    <v-row>
      <v-col cols="12">
        <h1 v-if="show">Welcome to Simple Page</h1>
        <h1>{{ name }}</h1>
        <v-btn color="success" @click="show = !show">Switch</v-btn>
      </v-col>
      <!-- <v-col cols="12">
        <v-avatar size="200" align="center">
          <img src="../assets/profile.jpg" alt="Profile Picture" />
        </v-avatar>
      </v-col> -->
      <v-col cols="3" v-for="(item, index) in dataset" :key="index">
        <v-card width="600px">
          <v-img :src="item.imgp" />
          <v-card-title primary-title>
            {{ item.message }}
          </v-card-title>
        </v-card>
      </v-col>
      <v-col cols="12">
        <v-btn color="error" @click="alertNormal()">ประกาศ</v-btn>
        <v-row>
          <v-col cols="6">
            <h1>{{ nameAlert }}</h1>
            <v-text-field
              name="nameAlert"
              label="Input"
              id="nameAlert"
              v-model="nameAlert"
            >
            </v-text-field>
          </v-col>
          <v-col cols="6">
            <v-btn class="mt-3" color="success" @click="alertParams(nameAlert)"
              >alert</v-btn
            >
          </v-col>
          <v-col cols="12">
            <simpleCom :name="nameAlert" @alertNormal="alertNormal" />
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </div>
</template>

<script>
import { EventBus } from "@/EventBus";
import simpleCom from "../components/simpleCom.vue";
export default {
  components: { simpleCom },
  data() {
    return {
      nameAlert: "",
      dataset: [
        {
          message: "Arlechino1",
          imgp: "https://images.pexels.com/photos/1287089/pexels-photo-1287089.jpeg?cs=srgb&dl=pexels-eberhardgross-1287089.jpg&fm=jpg",
        },
        {
          message: "Arlechino2",
          imgp: require("../assets/test.jpg"),
        },
        {
          message: "Arlechino3",
          imgp: "https://upload.wikimedia.org/wikipedia/commons/a/a7/Atlantic_near_Faroe_Islands.jpg",
        },
        {
          message: "Arlechin4",
          imgp: "https://cdn.pixabay.com/photo/2016/11/29/04/19/ocean-1867285_640.jpg",
        },
      ],
      name: "Puri Chanojuti",
      show: false,
    };
  },
  mounted() {
    EventBus.$on("callAlert", this.alertParams);
  },
  methods: {
    alertNormal() {
      alert("ดีจ้าา");
    },
    alertParams(item) {
      alert(item);
    },
  },
};
</script>

<style></style>
